function getpos,list
;
; getpos returns the locations of a subset of variable names within a
;  master list of names
;
; J. Al-Saadi  Feb 2001
;
;  - master list of names is "varname"; passed in common block "exchange"
;  - calling argument is a string or string array and is case-insensitive
;  - returns the integer position of a single-name argument, or an
;    integer array of positions of multiple-name arguments

common exchange,varname

num=n_elements(list)
source=strlowcase(list)
varlow=strlowcase(varname)
pos=lonarr(num)

for k=0,num-1 do begin
  point=where(varlow eq source(k),count)
  if count gt 1 then stop,'Error: multiple match in varlist '+varlow(point)
  if count eq 0 then begin
    result=strpos(varlow,source(k))
    point=where(result ge 0,nnear)
    if nnear eq 0 then stop,'Error: variable '+list(k)+' not found'
    if nnear gt 1 then begin
     guess=source(k)+' '
     result=strpos(varlow,guess)
     pointg=where(result ge 0,nnearg)
     if nnearg eq 0 or nnearg gt 1 then $
      stop,'Error: exact match not found for '+list(k)+$
     ', multiple near matches found: '+varlow(point)
     point=pointg
    endif
  endif
  pos(k)=point
endfor

if num eq 1 then pos=pos[0]

return,pos
end
