PRO RHEAD, LIMITS, HEADER, IUN, IOERR
;
;  Procedure to read file header from a standard format exchange file.
;
;Input:
;  IUN     = Logical unit number for ASCII exchange file.
;            This routine assumes the file has already been opened for reading.
;  LIMITS  = Structure defined in DATAEX_LIM_DEF.PRO.
;
;Output:
;  HEADER  = Structure defined in appropriate header reading routine.
;  IOERR   = I/O error code defined in IOERROR.
;
;History:
;  93-03-16 (SEG) Written to handle 2160.
;  93-07-02 (SEG) Added code for other header reading routines.
;
;
IOERR = 0
ON_IOERROR, END_OF_FILE
;
;  Determine file format (FFI) and read file header.
;
FFI    = 0
NLHEAD = 0
POINT_LUN, IUN, 0		; Position IUN to the beginning of the file.
READF, IUN, NLHEAD, FFI
CASE FFI OF
  1001:  RH1001, LIMITS, HEADER, IUN, IOERR
  1010:  RH1010, LIMITS, HEADER, IUN, IOERR
  1020:  RH1020, LIMITS, HEADER, IUN, IOERR
  2010:  RH2010, LIMITS, HEADER, IUN, IOERR
  2110:  RH2110, LIMITS, HEADER, IUN, IOERR
  2160:  RH2160, LIMITS, HEADER, IUN, IOERR
  2310:  RH2310, LIMITS, HEADER, IUN, IOERR
  3010:  RH3010, LIMITS, HEADER, IUN, IOERR
  4010:  RH4010, LIMITS, HEADER, IUN, IOERR
  ELSE:  BEGIN
           STATUS = FSTAT( IUN )
           STOP, '%% Unknown value for FFI in file ', STATUS.NAME
         END
ENDCASE
RETURN
;
END_OF_FILE:
IOERROR, IOERR
RETURN
END
